Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Class EmptyEventContext

    java.lang.Object
      org.apache.tapestry5.internal.EmptyEventContext

All Implemented Interfaces:
  EventContext

    public class EmptyEventContext

extends java.lang.Object
implements EventContext

Placeholder used when no context is available.

Constructor Summary
`EmptyEventContext()`

Method Summary
`
`<T> T`
` | `get(java.lang.Class<T> desiredType, int index)` This should never be called because the count is always zero.
`int` | `getCount()` Always returns zero.
`java.lang.String[]` | `toStrings()` Extracts the value of each context value as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyEventContext

    public EmptyEventContext()

Method Detail

### getCount

    public int getCount()

  Always returns zero.

  Specified by:
    `getCount` in interface `EventContext`

### get

    public <T> T get(java.lang.Class<T> desiredType,
                     int index)

  This should never be called because the count is always zero.

  Specified by:
    `get` in interface `EventContext`
  Parameters:
    `desiredType` - the type of value required
    `index` - identifies which parameter value to extract
  Returns:
    the value extracted and converted or coerced

### toStrings

    public java.lang.String[] toStrings()

  Description copied from interface: `EventContext`
  Extracts the value of each context value as a string.

  Specified by:
    `toStrings` in interface `EventContext`
  Returns:
    context values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.